Running TH3 on a computer that never had TH installed throws errors

06/17/2017 12:47 PM - Wil van Antwerpen
Description

If you download the .zip and then compile and run TH3 you are welcomed to a whole myriad of errors.

See the attached files for the errors, this is on a pristine Windows 10 that never had DataFlex installed.

First installed DF19 beta 3

Then downloaded current TH3 (Hammer3-development-snapshot-20170615), unzipped and then compiled.

The attached screenshots are the errors in numbered order.

Between error 6 and error 7 there's a temporary lock up, error 7 after that is recursive as it is triggered from the update in the toolbar.

Additional note, the Windows 10 unzip saw the AppSrc subfolders as files and could not unzip correctly (weird)

History

#1 - 06/17/2017 04:01 PM - Wil van Antwerpen

Error image 7, Invalid message 98 Get_PrecompileMode was fixed by adding a test for the object in TH3BuildToolbar.

If (hoCompiler) Begin

Get piCompilingMode of hoCompiler to bEnabled

End

Error image 5, invalid message msg_show_page_buttons and

Error image 4, invalid message msg_hide_all_buttons have both been fixed by adding condition from

If (iPages<=0) Procedure_Return

Error image 1, info box that tells you that Hammer2 cannot be found and sets windows system32 as a default instead has been changed to set the

current folder to psHomePath of the Hammer 3 workspace.

In cEditorProperties, doChangeCurrentFolder

//

Get psHome of (phoWorkspace(ghoApplication)) to sFolder

Move (sMessage+"Changing current directory to '"+sFolder+"' instead.") to sMessage

Error image 2, image 3, image 6, changed logic in cWorkspaceHandlerBase procedure InitWithCurrentWrkSpc added new method "Send

CheckSelectedVdfVersionExists" which enumerates all currently installed DataFlex versions on the machine and verifies if the selected DataFlex

version is in the list. If it is then fine, do nothing, if it isn't change the selected DataFlex version to the last one in the list.

By doing so and by addressing a DataFlex 19 registry change we now have a Hammer3 that appears to work.
#2 - 06/17/2017 04:28 PM - Wil van Antwerpen

- Status changed from New to Resolved

No more errors on my end, just 2 info-boxes where TH3 says it can't find things and will change the defaults to something it knows.

#3 - 06/22/2017 05:13 PM - Wil van Antwerpen

- Status changed from Resolved to Closed

No more reports on people not able to get it to work, so closing this bug.

Files

TH3-firstRun-Error1.png 101 KB 06/17/2017 Wil van Antwerpen

TH3-firstRun-Error2.png 39.3 KB 06/17/2017 Wil van Antwerpen

TH3-firstRun-Error3.png 25.5 KB 06/17/2017 Wil van Antwerpen
